# mongoc_collection_keys_to_index_string()

## Synopsis

    char *
    mongoc_collection_keys_to_index_string (const bson_t *keys);

## Parameters

keys | A bson_t.

## Description

This function shall returns the canonical stringification, as used in mongoc_collection_create_index() without an explicit name, of a given key specification.

It is a programming error to call this function on a non-standard index, such one other than a straight index with ascending and descending.

## Returns

A string that should be freed with bson_free().